//
//  CurvesViewController.m
//  GaoKaoHelper
//
//  Created by Christopher on 17/6/14.
//  Copyright (c) 2014 Christopher. All rights reserved.
//
#import "CurvesViewController.h"
#import "CurveView.h"
@interface CurvesViewController()

@end

@implementation CurvesViewController
@synthesize data,TDData;
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
        self.title = @"控线差值曲线";
    }
    return self;
}

- (void)viewDidLoad
{
    
    
    NSLog(@"data:%@",data);
    NSLog(@"TDData:%@",TDData);
    
    NSArray *reversedAveArray = [[NSArray alloc]init];
    NSArray *reversedHighArray = [[NSArray alloc]init];
    NSArray *reversedTDArray = [[NSArray alloc]init];
    NSMutableArray *averageArray = [[NSMutableArray alloc]init];
    NSMutableArray *HighArray = [[NSMutableArray alloc]init];
    NSMutableArray *TDArray = [[NSMutableArray alloc]init];
    NSMutableArray *controlArray = [[NSMutableArray alloc]init];
    NSMutableArray *AveValueArray = [[NSMutableArray alloc]init];
    NSMutableArray *HighValueArray = [[NSMutableArray alloc]init];
    NSMutableArray *TDValueArray = [[NSMutableArray alloc]init];
    for (int i = 0; i < [self.data count] - 1; i++) {
            [averageArray addObject:[[self.data objectAtIndex:i+1]valueForKey:@"average"]];
            [controlArray addObject:[[self.data objectAtIndex:i+1]valueForKey:@"control"]];
            [HighArray addObject:[[self.data objectAtIndex:i+1]valueForKey:@"highest"]];
        
        //计算平均分-省控线分查

            NSInteger AveScore = [[averageArray objectAtIndex:i]integerValue] - [[controlArray objectAtIndex:i]integerValue];
            NSNumber *AveNum = [NSNumber numberWithInteger:AveScore];
            [AveValueArray addObject:AveNum];
       
        //计算最高分-省控线分查
        NSInteger HighestScore = [[HighArray objectAtIndex:i]integerValue] - [[controlArray objectAtIndex:i]integerValue];
        NSNumber *HighNum = [NSNumber numberWithInteger:HighestScore];
        [HighValueArray addObject:HighNum];
        //计算投档分-省控线分查
        NSArray *array = @[];
        if (self.TDData == NULL || [TDData isEqualToArray:array]) {
        }else{
            [TDArray addObject:[[self.TDData objectAtIndex:i]valueForKey:@"line"]];
            NSInteger TDScore = [[TDArray objectAtIndex:i]integerValue] - [[controlArray objectAtIndex:i]integerValue];
            NSNumber *TDNum = [NSNumber numberWithInteger:TDScore];
            [TDValueArray addObject:TDNum];
            reversedTDArray = [[TDValueArray reverseObjectEnumerator] allObjects];
            NSLog(@"TD:%@",reversedTDArray);
        }
        
        //倒置数组数据
        reversedAveArray = [[AveValueArray reverseObjectEnumerator] allObjects];
        reversedHighArray =[[HighValueArray reverseObjectEnumerator] allObjects];
        
    }
    
    NSLog(@"ave:%@,high:%@",reversedAveArray,reversedHighArray);
    CurveView *curveView = [[CurveView alloc]init];
    curveView.backgroundColor = [UIColor grayColor];
    curveView.HighArray = reversedHighArray;
    curveView.AveArray = reversedAveArray;
    curveView.TDArray = reversedTDArray;
    curveView.SchoolName = _schoolName;
    curveView.batchInfo = _batchInfo;
    curveView.categoryInfo = _categoryInfo;
    
    UIButton *cancel = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    cancel.frame = CGRectMake(20, 40, 40, 20);
    [cancel setTitle:@"返回" forState:UIControlStateNormal];
    [cancel setShowsTouchWhenHighlighted:YES];
    [cancel addTarget:self action:@selector(cancelAction) forControlEvents:UIControlEventTouchUpInside];
    [curveView addSubview:cancel];
    self.view = curveView;
}

- (void)cancelAction
{
    [self dismissViewControllerAnimated:YES completion:NULL];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


- (void)dealloc {
    [super dealloc];
}
@end
