//
//  shengyuandiViewController.m
//  GaoKaoHelper
//
//  Created by Christopher on 19/5/14.
//  Copyright (c) 2014 Christopher. All rights reserved.
//

#import "shengyuandiViewController.h"

@interface shengyuandiViewController ()

@end

@implementation shengyuandiViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}
                 
- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    _tableView = [[UITableView alloc]initWithFrame:CGRectMake(0, 0, 320, ScreenHeight) style:UITableViewStylePlain];
    _tableView.dataSource = self;
    _tableView.delegate = self;
    [self.view addSubview:_tableView];
    [_tableView release];
    
    
    NSString *plistPath = [[NSBundle mainBundle]pathForResource:@"area" ofType:@"plist"];
    _provinceArray = [[NSArray alloc]initWithContentsOfFile:plistPath];

}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return [_provinceArray count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *identifier = @"identifier";
    UITableViewCell *cell = nil;
    cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:identifier];
    cell.textLabel.text = [[_provinceArray objectAtIndex:indexPath.row]valueForKey:@"State"];
    cell.selectedBackgroundView = [[[UIView alloc] initWithFrame:cell.frame] autorelease];
    cell.selectedBackgroundView.backgroundColor = [UIColor colorWithRed:0 green:1 blue:0 alpha:0.3];
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    
    NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];

    NSString *provinceString = [[_provinceArray objectAtIndex:indexPath.row]valueForKey:@"State"];
    NSInteger Sid = [_proviceIdArray indexOfObject:provinceString] + 1;
    NSString *provinceID = [NSString stringWithFormat:@"%ld",(long)Sid];
    
    [defaults setObject:provinceString forKey:@"area"];
    [defaults setObject:(id)provinceID forKey:@"areaID"];
    [defaults synchronize];
    
    
    
    if ([self.areaDelegate respondsToSelector:@selector(changeAreaLabelText:)]) {
        [self.areaDelegate changeAreaLabelText:provinceString];
    }
    
    [self.navigationController popViewControllerAnimated:YES];
    
    
}
- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
