//
//  ConnectNetWork.m
//  GaoKaoHelper
//
//  Created by Christopher on 23/6/14.
//  Copyright (c) 2014 Christopher. All rights reserved.
//

#import "ConnectNetWork.h"

@implementation ConnectNetWork

-(BOOL) isConnectionAvailable:(NSURL *)url
{
    BOOL isExistenceNetwork = YES;
    Reachability *reach = [Reachability reachabilityWithHostName:[NSString stringWithFormat:@"%@",url]];
    switch ([reach currentReachabilityStatus]) {
        case NotReachable:
            isExistenceNetwork = NO;
            //NSLog(@"notReachable");
            break;
        case ReachableViaWiFi:
            isExistenceNetwork = YES;
            //NSLog(@"WIFI");
            break;
        case ReachableViaWWAN:
            isExistenceNetwork = YES;
            
            break;
    }
    if (!isExistenceNetwork) {
        NSLog(@"更换服务器");
    }
    return isExistenceNetwork;
}

@end
