//
//  ScoreLineViewController.h
//  GaoKaoHelper
//
//  Created by Christopher on 20/5/14.
//  Copyright (c) 2014 Christopher. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "MBProgressHUD.h"
@interface ScoreLineViewController : UIViewController<UITableViewDataSource,UITableViewDelegate,UIPickerViewDataSource,UIPickerViewDelegate>
{
     MBProgressHUD *HUD;
}

@property (nonatomic, copy)NSString *yearString;
@property (nonatomic, assign)NSInteger catagory;
@property (nonatomic, assign)NSInteger batch;

@property (nonatomic, copy)NSString *schoolName;                //学校名称
@property (nonatomic, copy)NSString *schoolID;                  //定义学校ID字符串，便于访问网络接口
@property (nonatomic, copy)NSString *batchInfo;
@property (nonatomic, retain)UIPickerView *pickerView;          //选择器对象
@property (nonatomic, retain)UITableView *tableView;
@property (nonatomic, retain)UITableView *majorTableView;
@property (nonatomic, retain)UIView *titleView;

@property (nonatomic, retain)NSArray *yearArray;                //年份数组
@property (nonatomic, retain)NSArray *cataArray;                //文理科类别数组
@property (nonatomic, retain)NSArray *batchArray;               //批次数组

@property (nonatomic, retain)NSMutableArray *data;              //存储数据数组
@property (nonatomic, retain)NSMutableArray *TDData;            //存储投档线数据数组
@property (nonatomic, retain)NSMutableArray *TotolData;
@property (nonatomic, retain)NSMutableArray *majorData;

@property (nonatomic, retain)UILabel *yearLabel;
@property (nonatomic, retain)UILabel *catagoryLabel;
@property (nonatomic, retain)UILabel *batchLabel;
@property (nonatomic, retain)UILabel *controlLabel;
@property (nonatomic, retain)UILabel *aveLabel;
@property (nonatomic, retain)UILabel *highestLabel;
@property (nonatomic, retain)UILabel *TDLabel;
@property (nonatomic, retain)UILabel *rankingLabel;

@property (nonatomic, retain)UIButton *curveButton;
@property (nonatomic, retain)UIButton *majorButton;
@end

